## org.apache.axis.types
Class IDRef

    java.lang.Object
      org.apache.axis.types.NormalizedString
          org.apache.axis.types.Token
              org.apache.axis.types.Name
                  org.apache.axis.types.NCName
                      org.apache.axis.types.IDRef

All Implemented Interfaces:
  java.io.Serializable

public class IDRef
extends NCName

Custom class for supporting XSD data type IDRef

Author:
  Davanum Srinivas <dims@yahoo.com>
See Also:
  XML Schema 3.3.10 IDREFS, Serialized Form

Constructor Summary
`IDRef()`
`IDRef(java.lang.String stValue)` ctor for IDRef

Methods inherited from class org.apache.axis.types.NCName
`isValid, setValue`

Methods inherited from class org.apache.axis.types.NormalizedString
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IDRef

    public IDRef()

### IDRef

    public IDRef(java.lang.String stValue)
          throws java.lang.IllegalArgumentException

  ctor for IDRef

Throws:
  `java.lang.IllegalArgumentException` - will be thrown if validation fails

Copyright © 2005 Apache Web Services Project. All Rights Reserved.